[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# Umask

Set file creation mask.

## Declaration

Source position: oldlinux.pp line 1401

`function Umask(`
`Mask: Integer`
`):Integer;`

## Description

Change the file creation mask for the current user to Mask. The current mask is returned.

## See also

Chmod |  | Change file permission bits

## Example

    Program Example27;

    { Program to demonstrate the Umask function. }

    Uses oldlinux;

    begin
      Writeln ('Old Umask was : ',Umask(Octal(111)));
      WRiteln ('New Umask is  : ',Octal(111));
    end.

Documentation generated on: Feb 26 2014